
#include <stdio.h>
#include <stdlib.h>
#include "cell.h"
#include "ril.h"

static void	Error(msg)
char		*msg;
{
	fputs(msg,stderr); fputc('\n',stderr); exit(1);
}

int	main(argc,argv)
int	argc;
char	**argv;
{
	int	Nx,Ny,x1,x2,y,x;
	Cell	*cell;

	if (argc!=3 && argc!=5) Error("usage : tiff2line TIFF {x1 x2} y");

	ReadImageLine(argv[1],&Nx,&Ny,NULL,NULL,0);

	if (argc==3) {
	    x1=0; x2=Nx-1;
	}
	else
	    if ((x1=atoi(argv[2]))<0 || x1>=Nx ||
		(x2=atoi(argv[3]))<0 || x2>=Nx)
		Error("bad line terminal points.");

	if ((y=atoi(argv[argc-1]))<0 || y>=Ny) Error("bad line position.");

	ReadImageLine(argv[1],NULL,NULL,NULL,&cell,y);

	if (x1<=x2)
	    for (x=x1; x<=x2; x++) printf("%d\n",cell[x]);
	else
	    for (x=x1; x>=x2; x--) printf("%d\n",cell[x]);

	free(cell); return 0;
}
